commonmark-extensions-0.2.6: Pure Haskell commonmark parser.

Safe Haskell | None
Language | Haskell2010

Commonmark.Extensions.Emoji

# Documentation

class HasEmoji a where #

Methods

emoji :: Text -> Text -> a #

#### Instances

Instances details

HasEmoji (Html a) # |
Instance details Defined in Commonmark.Extensions.Emoji Methods emoji :: Text -> Text -> Html a #
(HasEmoji i, Monoid i) => HasEmoji (WithSourceMap i) # |
Instance details Defined in Commonmark.Extensions.Emoji Methods emoji :: Text -> Text -> WithSourceMap i #

emojiSpec :: forall (m :: Type -> Type) il bl. (Monad m, IsBlock il bl, IsInline il, HasEmoji il) => SyntaxSpec m il bl #